## ros-iron-launch 2.0.2

=== debian/changelog ===
ros-iron-launch (2.0.2-1jammy) jammy; urgency=high

  * Add file-content launch substitution (#709 <https://github.com/ros2/launch/issues/709>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-launch (2.0.1-1jammy) jammy; urgency=high

  * Document LaunchService.{run,run_async}() return value (#702 <https://github.com/ros2/launch/issues/702>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-launch (2.0.0-1jammy) jammy; urgency=high

  * [rosdoc2] Fix document generation on buildfarm (#701 <https://github.com/ros2/launch/issues/701>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#697 <https://github.com/ros2/launch/issues/697>)
  * Remove the import of Literal from entity.py. (#694 <https://github.com/ros2/launch/issues/694>)
  * Fix flake8 errors. (#695 <https://github.com/ros2/launch/issues/695>)
  * add symlink to latest log directory (#686 <https://github.com/ros2/launch/issues/686>)
  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Chris Lalancette, Hervé Audren, Welte, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-launch (1.4.1-1jammy) jammy; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-launch (1.4.0-1jammy) jammy; urgency=high

  * Pass modules to PythonExpression (#655 <https://github.com/ros2/launch/issues/655>)
  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash, Blake Anderson, Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-launch (1.3.0-1jammy) jammy; urgency=high

  * Expect deprecation warnings in tests (#657 <https://github.com/ros2/launch/issues/657>)
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Implement Any, All, Equals, and NotEquals substitutions (#649 <https://github.com/ros2/launch/issues/649>)
  * add LaunchLogDir substitution, replacing log_dir frontend only substitution (#652 <https://github.com/ros2/launch/issues/652>)
  * Add special cases to coerce "1" and "0" to bool when using bool coercion only (#651 <https://github.com/ros2/launch/issues/651>)
  * Contributors: Chris Lalancette, Jacob Perron, William Woodall, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-launch (1.2.0-1jammy) jammy; urgency=high

  * Update launch/test/launch/test_execute_local.py
  * Added unit test ensuring that output dictionary works with ExecuteLocal
  * Addresses issue #588 <https://github.com/ros2/launch/issues/588>, allowing dict for 'output'
  * Contributors: Matthew Elwin, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-launch (1.1.0-1jammy) jammy; urgency=high

  * Remove unused variables. (#612 <https://github.com/ros2/launch/issues/612>)
  * Expose shutdown action to xml frontend (#611 <https://github.com/ros2/launch/issues/611>)
  * Contributors: Aditya Pande, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-launch (1.0.1-1jammy) jammy; urgency=high

  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 16:00:00 -0000

ros-iron-launch (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Apr 2022 16:00:00 -0000

ros-iron-launch (0.23.1-1jammy) jammy; urgency=high

  * Start Python faster in test_execute_processs_shutdown to avoid flakey failures (#608 <https://github.com/ros2/launch/issues/608>)
  * Fix warnings from importlib_metdata on Python 3.10. (#606 <https://github.com/ros2/launch/issues/606>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-launch (0.23.0-1jammy) jammy; urgency=high

  * Add boolean substitutions (#598 <https://github.com/ros2/launch/issues/598>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-launch (0.22.0-1jammy) jammy; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>)
  * Fix awaiting shutdown in launch context (#603 <https://github.com/ros2/launch/issues/603>)
  * Fix parse respawn var (#569 <https://github.com/ros2/launch/issues/569>)
  * Make the logged command pretty in ExecuteLocal (#594 <https://github.com/ros2/launch/issues/594>)
  * Contributors: Jacob Perron, Kosuke Takeuchi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-launch (0.21.1-1jammy) jammy; urgency=high

  * 'output' is expanded as a substitution in XML/YAML files (#577 <https://github.com/ros2/launch/issues/577>)
  * Skip warning test if warning already happend (#585 <https://github.com/ros2/launch/issues/585>)
  * Contributors: Khush Jain, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-launch (0.21.0-1jammy) jammy; urgency=high


